Bug 182633 - vconfig x86_64 has dependency on 32bit glibc
Summary: vconfig x86_64 has dependency on 32bit glibc
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vconfig   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-23 19:27 UTC by John Ellson
Modified: 2015-03-05 01:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 08:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ellson 2006-02-23 19:27:21 UTC
Description of problem:
Now that an x86_64 openoffice is available I wanted to remove all i386 & i686
rpms from my x86_64 system.  This was successfull (amazing how many packages
openoffice depends on) except for vconfig (64bit) which has a dependency on the
32bit glibc.

Version-Release number of selected component (if applicable):
vconfig-1.9-1.1.x86_64.rpm

How reproducible:


Steps to Reproduce:
1.remove all i386 and i686 rpms from an x86_64 
2.rpm -Uvh vconfig-1.9-1.1.x86_64.rpm
3.
  
Actual results:
error: Failed dependencies:
        libc.so.6 is needed by vconfig-1.9-1.1.x86_64
        libc.so.6(GLIBC_2.0) is needed by vconfig-1.9-1.1.x86_64


Expected results:
should only depend on 64 bit libraries

Additional info:
# rpm -qa --queryformat='%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n' | grep glibc
glibc-devel-2.3.90-38.x86_64
glibc-kernheaders-3.0-5.2.x86_64
glibc-2.3.90-38.x86_64
glibc-headers-2.3.90-38.x86_64
glibc-common-2.3.90-38.x86_64
glibc-utils-2.3.90-38.x86_64

Comment 1 Phil Knirsch 2006-02-24 08:40:07 UTC
Already fixed in latest build which should appear in FC-Devel in the next few days.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.